/*
// NOSLIB.H
//
// (c) Copyright 1990, 1991 Adrian King.
//
// Extern definitions for the LANtastic NOS C library.
// Include this file within each module that uses NOS
// calls.
//
// $Header:   C:/USR/LANBOOK/SRC/H/VCS/NOSLIB.H_V   1.0   29 Aug 1991 13:27:00  $
//
// $Log:   C:/USR/LANBOOK/SRC/H/VCS/NOSLIB.H_V  $
//
//   Rev 1.0   29 Aug 1991 13:27:00
//Initial revision.
*/

#ifndef WINDOWS
#define	FAR near 		// Redefine FAR as far if you want to make far calls
#endif

extern int NOSerrno;

extern int FAR NOSGetErrorText(int nError, char far **cpMessage);
extern void FAR NOSperror(char *cpText);
extern void FAR NOSprintstr(char *cpS);
extern void FAR NOSprintchar(char c);
extern void FAR NOSprintx(unsigned short m);
extern int FAR NOSNetBIOSPresence();
extern int FAR NOSPresence();
extern int FAR NOSSharePresence();
extern int FAR NOSGetVersion();
extern int FAR NOSCheck2A();
extern int FAR NOSExecNetBIOS(BOOL bRetry, struct Ncb *cpNcb);
extern int FAR NOSGetResources(int *npNames, int *npNcbs, int *npSessions);
extern int FAR NOSSetCombine();
extern int FAR NOSSetSeparate();
extern int FAR NOS2AFlush();
extern int FAR NOSGetPrinterMode();
extern int FAR NOSSetPrinterMode(int nMode);
extern int FAR NOSFlush();
extern int FAR NOSGetMachineName(char *cpName, int *npName, BOOL *pbName);
extern int FAR NOSSetPrinterSetup(int nIndex, int nLen, char *cpStr);
extern int FAR NOSGetPrinterSetup(int nIndex, int *npLen, char *cpStr);
extern int FAR NOSGetRedirDevice(int nIndex, char *cpName, 
									char *cpPath, WORD *wpDevice);
extern int FAR NOSRedirDevice(int nDevice, char *cpName, char *cpPath);
extern int FAR NOSCancelRedir(char *cpName);
extern int FAR NOSGetLogin(int *npIndex, char *cpServer, int *npAdapter);
extern int FAR NOSLogin(char *cpLogin, int nAdapter);
extern int FAR NOSLogout(char *cpServer);
extern int FAR NOSGetUserName(int *npIndex, char *cpName, int *npAdapter);
extern int FAR NOSGetServer(int *npIndex, char *cpServer, int *npAdapter);
extern int FAR NOSChangePassword(char *cpStr);
extern int FAR NOSDisable(char *cpStr);
extern int FAR NOSGetAccount(struct user_account *cpAccount, char *cpServer);
extern int FAR NOSCopyFile(DWORD *dwAmount, int nSource, int nDest);
extern int FAR NOSSendMsg(struct message_buffer *cpMsg);
extern int FAR NOSGetMsg(struct message_buffer *cpMsg);
extern int FAR NOSGetMsgFlag(int *npFlag);
extern int FAR NOSSetMsgFlag(int nFlag);
extern int FAR NOSPopUpMsg(int nTicks, int nLine);
extern int FAR NOSGetQueue(int *npIndex, struct queue_entry *cpQueue, 
									char *cpServer);
extern int FAR NOSSetQueue(int *npHandle, struct queue_entry *cpQueue);
extern int FAR NOSControlQueue(int *npPtr, int nCmd, char *cpServer, 
									DWORD dwSeq); 
extern int FAR NOSGetStatus(int *npPtr, struct PS *cpPs, char *cpServer);
extern int FAR NOSGetStreamInfo(int *npIndex, struct logical_stream *cpStream,
									char *cpServer);
extern int FAR NOSSetStreamInfo(int *npIndex, struct logical_stream *cpStream,
				 					char *cpServer);
extern int FAR NOSCreateAudit(char *cpCode, char *cpReason, char *cpServer);
extern int FAR NOSGetUserInfo(int *npIndex, struct active_user_entry *cpInfo,
									char *cpServer);
extern int FAR NOSGetDirInfo(char *cpRes, char *cpServer, int *npAcl);
extern int FAR NOSGetUserAcct(int *npIndex, char *cpUser, char *cpServer);
extern int FAR NOSTranslatePath(char *cpPathXlate, char *cpPath, int nType);
extern int FAR NOSCreateIndir(char *cpPath, char *cpIndir);
extern int FAR NOSGetIndir(char *cpData, char *cpIndir);
extern int FAR NOSGetTime(struct time_block *cpTime, char *cpServer);
extern int FAR NOSGetLPTTimeout(int *npTicks);
extern int FAR NOSSetLPTTimeout(int nTicks);
extern int FAR NOSGetDOSVector(FARPROC *fpVector);
extern int FAR NOSSetDOSVector(FARPROC Vector);
extern int FAR NOSGetMsgVector(FARPROC *fpService);
extern int FAR NOSSetMsgVector(FARPROC Service);
extern int FAR NOSShutdown(char *cpReason, char *cpServer, int nMins, int nFlags);
extern int FAR NOSCancelShutdown(char *cpServer);
extern int FAR NOSStuffServerBuffer(char *cpText, char *cpServer);
extern int FAR NOSLogoutAll();


